# FoundationClasses
TKernel
Standard

# Standard_ErrorHandler Class Reference

`#include <Standard_ErrorHandler.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Standard_ErrorHandler ()
| Create a ErrorHandler (to be used with try{}catch(){}). It uses the "setjmp" and "longjmp" routines. .
Standard_EXPORT void | Destroy ()
| Unlinks and checks if there is a raised exception. .
| ~Standard_ErrorHandler ()
Standard_EXPORT void | Unlink ()
| Removes handler from the handlers list .
Standard_EXPORT Standard_Boolean | Catches (const Handle(Standard_Type)&aType)
| Returns "True" if the caught exception has the same type or inherits from "aType" .
Standard_JmpBuf & | Label ()
| Returns label for jump .
Standard_EXPORT Handle_Standard_Failure | Error () const
| Returns the current Error. .

## Static Public Member Functions

static Standard_EXPORT Handle_Standard_Failure | LastCaughtError ()
| Returns the caught exception. .
static Standard_EXPORT Standard_Boolean | IsInTryBlock ()
| Test if the code is currently running in a try block .

## Static Private Member Functions

static Standard_EXPORT void | Abort ()
| A exception is raised but it is not yet caught. So Abort the current function and transmit the exception to "calling routines". Warning: If no catch is prepared for this exception, it displays the exception name and calls "exit(1)". .
static Standard_EXPORT void | Error (const Handle(Standard_Failure)&aError)
| Set the Error which will be transmitted to "calling routines". .
static Standard_EXPORT Standard_PErrorHandler | FindHandler (const Standard_HandlerStatus theStatus, const Standard_Boolean theUnlink)
| Returns the current handler (Top in former implemntations) .

## Private Attributes

Standard_PErrorHandler | myPrevious
Handle_Standard_Failure | myCaughtError
Standard_JmpBuf | myLabel
Standard_HandlerStatus | myStatus
Standard_ThreadId | myThread
Standard_Address | myCallbackPtr

## Constructor & Destructor Documentation

Standard_EXPORT Standard_ErrorHandler::Standard_ErrorHandler | ( |  | ) |

Standard_ErrorHandler::~Standard_ErrorHandler | ( |  | ) | `[inline]`

## Member Function Documentation

static Standard_EXPORT void Standard_ErrorHandler::Abort | ( |  | ) | `[static, private]`

Standard_EXPORT Standard_Boolean Standard_ErrorHandler::Catches | ( | const Handle(Standard_Type)& | aType | ) |

Standard_EXPORT void Standard_ErrorHandler::Destroy | ( |  | ) |

static Standard_EXPORT void Standard_ErrorHandler::Error | ( | const Handle(Standard_Failure)& | aError | ) | `[static, private]`

Standard_EXPORT Handle_Standard_Failure Standard_ErrorHandler::Error | ( |  | ) | const

static Standard_EXPORT Standard_PErrorHandler Standard_ErrorHandler::FindHandler | ( | const Standard_HandlerStatus | theStatus,
|  | const Standard_Boolean | theUnlink
| ) | `[static, private]`

static Standard_EXPORT Standard_Boolean Standard_ErrorHandler::IsInTryBlock | ( |  | ) | `[static]`

Standard_JmpBuf & Standard_ErrorHandler::Label | ( |  | ) | `[inline]`

static Standard_EXPORT Handle_Standard_Failure Standard_ErrorHandler::LastCaughtError | ( |  | ) | `[static]`

void Standard_ErrorHandler::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Standard_ErrorHandler::operator new | ( | size_t | size | ) | `[inline]`

void* Standard_ErrorHandler::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Standard_ErrorHandler::Unlink | ( |  | ) |

## Field Documentation

Standard_Address Standard_ErrorHandler::myCallbackPtr `[private]`

Handle_Standard_Failure Standard_ErrorHandler::myCaughtError `[private]`

Standard_JmpBuf Standard_ErrorHandler::myLabel `[private]`

Standard_PErrorHandler Standard_ErrorHandler::myPrevious `[private]`

Standard_HandlerStatus Standard_ErrorHandler::myStatus `[private]`

Standard_ThreadId Standard_ErrorHandler::myThread `[private]`

The documentation for this class was generated from the following files:

- Standard_ErrorHandler.hxx
- Standard_ErrorHandler.lxx